
// SYSLOOP® Serial Protocol © Copyright 2016 EMPYREUM® Information Technologies. All rights reserved.
// This work (ideas, program logic, algorithms, systems, methods, concepts, or layouts) is the intellectual property of EMPYREUM®.

#ifndef __CRC8_h_included
#define __CRC8_h_included

#include <stdint.h>
#include <stdbool.h>

void CRC8Put(uint16_t* work, const void* data, uint64_t size);
uint8_t CRC8(const void* data, uint64_t size);
uint8_t CRC8Test(const void* data, uint64_t size);

#endif
