
// SYSLOOP® Serial Protocol © Copyright 2016 EMPYREUM® Information Technologies. All rights reserved.
// This work (ideas, program logic, algorithms, systems, methods, concepts, or layouts) is the intellectual property of EMPYREUM®.

#ifndef __log_h_included
#define __log_h_included

#include <errno.h>
#include <string.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdint.h>
#include <stdbool.h>

#define LOG_FILE				stderr

#define log(...)				{ fprintf(LOG_FILE,  __VA_ARGS__); fputc('\n', LOG_FILE); }
#define logerrno()				log("%s: %s", __func__, strerror(errno))

#endif
